<?php
// $Id: page.tpl.php,v 1.28 2008/01/24 09:42:52 goba Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language ?>" xml:lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>

<?php
if (drupal_is_front_page()) {
  $right_down = "";
} else {
  $right_down = $right;
  $right = "";
}
if ($left and $right) {
  $margin_left="ml";
  $margin_right="mr";
} elseif ($left or $right) {
  if ($left) {
    $margin_left="ml";
    $margin_right="mr0";
  } else {
    $margin_left="ml0";
    $margin_right="mr";
  }
} else {
  $margin_left="ml0";
  $margin_right="mr0";
}
?>

<body>
<!-- div class="all_width" -->

  <div id="header"><div class="all_width img_header">
  <div id="menu">
    <?php if ($search_box) { ?><div id="searchbox"><?php print $search_box ?><span class="clear"></span></div><?php } ?>
    <?php if (isset($primary_links)) { ?><?php print theme('links', $primary_links, array('class' => 'links', 'id' => 'navlist')) ?><?php } ?>
    <div class="clear">&nbsp;</div>
  </div>
    <div id="submenu">
      <?php if (isset($secondary_links)) { ?><?php print theme('links', $secondary_links, array('class' => 'links', 'id' => 'subnavlist')) ?><?php } ?>
    </div>
    <div id="logo">
      <?php if ($logo) { ?><a href="<?php print $front_page ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a><?php } ?>
      <div class="sn_wrap">
        <?php if ($site_name) { ?><h1 class='site-name'><a href="<?php print $front_page ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1><?php } ?>
        <?php if ($site_slogan) { ?><div class='site-slogan'><?php print $site_slogan ?></div><?php } ?>
      </div>
    </div>
    <?php if ($mission) { ?><div id="mission"><?php print $mission ?></div><?php } ?>
    <div><?php print $header ?></div>
  </div></div>


  <div id="content"><div class="all_width">
    <?php if ($left) { ?><div id="sidebar-left">
      <?php print $left ?>
    </div><?php } ?>
    <?php if ($right) { ?><div id="sidebar-right">
      <?php print $right ?>
    </div><?php } ?>
    <div id="mid_content"><div class="<?php print $margin_left; ?>"><div class="<?php print $margin_right; ?>">
      <div id="main">
        <?php print $breadcrumb ?>
        <h1 class="title"><?php print $title ?></h1>
        <?php if ($tabs) { ?><div class="tabs"><?php print $tabs ?></div><?php } ?>
        <?php if ($show_messages) { print $messages; } ?>
        <?php print $help ?>
        <?php print $content; ?>
        <?php print $feed_icons; ?>
      </div>
    </div></div></div>
  <div class="clear">&nbsp;</div>
  </div></div>

  <?php if ($right_down) { ?>
    <div id="right-down"><div class="all_width">
      <?php print $right_down ?>
  <div class="clear">&nbsp;</div>
    </div></div>
  <?php } ?>

  <div id="footer"><div class="all_width">
    <?php print $footer_message ?>
    <?php print $footer ?>
    <div class="clear">&nbsp;</div>
  </div></div>
  <?php print $closure ?>

<!-- /div -->
</body>
</html>
